r35478 - in /desktop/experimental/gobject-introspection/debian: changelog tests/control tests/tools

mpitt at users.alioth.debian.org mpitt at users.alioth.debian.org
Wed Jun 27 11:18:32 UTC 2012


Author: mpitt
Date: Wed Jun 27 11:18:32 2012
New Revision: 35478

URL: http://svn.debian.org/wsvn/pkg-gnome/?sc=1&rev=35478
Log:
Add debian/tests/tools: DEP-8 autopkgtest to check that
g-ir-{scanner,compiler,generate,doc-tool} work.

Added:
    desktop/experimental/gobject-introspection/debian/tests/tools   (with props)
Modified:
    desktop/experimental/gobject-introspection/debian/changelog
    desktop/experimental/gobject-introspection/debian/tests/control

Modified: desktop/experimental/gobject-introspection/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/gobject-introspection/debian/changelog?rev=35478&op=diff
==============================================================================
--- desktop/experimental/gobject-introspection/debian/changelog [utf-8] (original)
+++ desktop/experimental/gobject-introspection/debian/changelog [utf-8] Wed Jun 27 11:18:32 2012
@@ -6,6 +6,8 @@
     dependencies.
   * Add debian/tests/control: DEP-8 autopkgtest control file. Add XS-Testsuite
     header to debian/control.in.
+  * Add debian/tests/tools: DEP-8 autopkgtest to check that
+    g-ir-{scanner,compiler,generate,doc-tool} work.
 
  -- Martin Pitt <mpitt at debian.org>  Wed, 27 Jun 2012 12:19:06 +0200
 

Modified: desktop/experimental/gobject-introspection/debian/tests/control
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/gobject-introspection/debian/tests/control?rev=35478&op=diff
==============================================================================
--- desktop/experimental/gobject-introspection/debian/tests/control [utf-8] (original)
+++ desktop/experimental/gobject-introspection/debian/tests/control [utf-8] Wed Jun 27 11:18:32 2012
@@ -1,4 +1,4 @@
-Tests: build 
+Tests: build tools
 # deliberately avoid depending on gir1.2-glib-2.0 and friends; gir1.2-gtk-3.0
 # ought to pull these in
-Depends: gobject-introspection, libgirepository1.0-dev, gir1.2-gtk-3.0
+Depends: gobject-introspection, libgirepository1.0-dev, gir1.2-gtk-3.0, libcairo2-dev

Added: desktop/experimental/gobject-introspection/debian/tests/tools
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/gobject-introspection/debian/tests/tools?rev=35478&op=file
==============================================================================
--- desktop/experimental/gobject-introspection/debian/tests/tools (added)
+++ desktop/experimental/gobject-introspection/debian/tests/tools [utf-8] Wed Jun 27 11:18:32 2012
@@ -1,0 +1,26 @@
+#!/bin/sh
+# autopkgtest check: Check the g-ir-* tools
+# (C) 2012 Canonical Ltd.
+# Author: Martin Pitt <martin.pitt at ubuntu.com>
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+
+echo "g-ir-scanner..."
+g-ir-scanner --include=cairo-1.0 --include=Gio-2.0 --namespace=Regress --nsversion=1.0   --header-only /usr/share/gobject-introspection-1.0/tests/*.h --output Regress.gir
+file Regress.gir  | grep -q 'XML document' || { file Regress.gir; exit 1; }
+
+echo "g-ir-compiler..."
+g-ir-compiler -o Regress.typelib Regress.gir
+file Regress.typelib  | grep -q 'G-IR binary database' || { file Regress.typelib; exit 1; }
+
+echo "g-ir-generate"
+g-ir-generate Regress.typelib | grep -q '<enumeration name="TestABCError">'
+
+echo "g-ir-doc-tool"
+mkdir pyhelp
+g-ir-doc-tool -o pyhelp -l Python Regress.gir
+file pyhelp/index.page  | grep -q 'XML document' || { file pyhelp/index.page; exit 1; }

Propchange: desktop/experimental/gobject-introspection/debian/tests/tools
------------------------------------------------------------------------------
    svn:executable = *




More information about the pkg-gnome-commits mailing list